## ros-indigo-turtlebot-rviz-launchers 2.3.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)

project(turtlebot_rviz_launchers)

find_package(catkin REQUIRED)

catkin_package()

install(DIRECTORY launch DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

install(DIRECTORY rviz DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

=== debian/changelog ===
ros-indigo-turtlebot-rviz-launchers (2.3.1-0trusty) trusty; urgency=high

  * image_color -> image_rect_color closes #6 <https://github.com/turtlebot/turtlebot_interactions/issues/6>
  * Contributors: Jihoon Lee

 -- Daniel Stonier <stonier@yujinrobot.com>  Sun, 22 Mar 2015 15:00:00 -0000

ros-indigo-turtlebot-rviz-launchers (2.3.0-0trusty) trusty; urgency=high



 -- Daniel Stonier <stonier@yujinrobot.com>  Mon, 29 Dec 2014 15:00:00 -0000

ros-indigo-turtlebot-rviz-launchers (2.2.2-0trusty) trusty; urgency=high



 -- Daniel Stonier <stonier@yujinrobot.com>  Thu, 24 Oct 2013 15:00:00 -0000

ros-indigo-turtlebot-rviz-launchers (2.2.1-0trusty) trusty; urgency=high

  * Use two separate turtlebot navigation launchers to make things obvious to users.

 -- Daniel Stonier <stonier@yujinrobot.com>  Tue, 10 Sep 2013 15:00:00 -0000

ros-indigo-turtlebot-rviz-launchers (2.2.0-0trusty) trusty; urgency=high

  * Allow visualizing navigation regardless we use or not application namespaces (with argument use_app_ns).
  * Fix view model launcher and dependencies.
  * Add bugtracker and repo info URLs.
  * Changelogs at package level.

 -- Daniel Stonier <stonier@yujinrobot.com>  Thu, 29 Aug 2013 15:00:00 -0000

ros-indigo-turtlebot-rviz-launchers (2.1.1-0trusty) trusty; urgency=high

  * Adapt view_navigation configuration to hydro navi stack

 -- Daniel Stonier <stonier@yujinrobot.com>  Mon, 22 Jul 2013 15:00:00 -0000

ros-indigo-turtlebot-rviz-launchers (2.1.0-0trusty) trusty; urgency=high

  * Catkinized

 -- Daniel Stonier <stonier@yujinrobot.com>  Mon, 15 Jul 2013 15:00:00 -0000

=== debian/control ===
Source: ros-indigo-turtlebot-rviz-launchers
Section: misc
Priority: extra
Maintainer: Daniel Stonier <stonier@yujinrobot.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin
Homepage: http://ros.org/wiki/turtlebot_rviz_launchers
Standards-Version: 3.9.2

Package: ros-indigo-turtlebot-rviz-launchers
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-joint-state-publisher, ros-indigo-rviz, ros-indigo-turtlebot-bringup, ros-indigo-turtlebot-teleop
Description: Launchers for visualizing TurtleBot

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-turtlebot-rviz-launchers//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
